package org.barney.greenfoot.core;
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;
/**
 * Definiert ein unberwindliches Hindernis für <code>Operator</code>-Objekte.
 * 
 * @author Jan-Niklas Brandes
 * @version 1.0
 */
public class Obstacle extends Actor
{   
    /**
     * Gibt ein Objekt zurck, dass auf demselben Feld liegt und eine Instanz der Klasse <code>cls</code> ist.
     * @param  cls Die Klasse des zu untersuchenden Objekts.
     * @return  Ein Objekt der angegebenen Klasse, dass sich auf demselben Feld wie der <code>Operator</code> befindet.
     */
    public Actor getOneIntersectingObject(Class cls){
        return super.getOneIntersectingObject(cls);
    }
    /**
     * Gibt eine Liste der Nachbarn von diesem <code>Operator</code> in einer angegebenen Schrittdistanz zurck.
     * @param  dist Der Radius um den <code>Operator</code>.
     * @param  diagonal Ob diagonale Felder mitzhlen.
     * @param  cls Die Klasse, deren Objekte zurckgegeben werden sollen.
     * @return  Die Nachbarn der angegebenen Klasse.
     */
    public List getNeighbours(int dist, boolean diagonal, Class cls){
        return super.getNeighbours(dist, diagonal, cls);
    }
}
