package org.barney.greenfoot.misc;
import org.barney.greenfoot.core.*;
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Eine einfache Bombe, die Objekte sprengt.
 * 
 * @author Jan-Niklas Brandes
 * @version 1.0
 */
public class Bomb extends Collectable
{
    private int range;
    private int acts;
    /**
     * Instantiiert eine Bombe mit <code>range</code> Feldern Reichweite.
     * @param  range Die Reichweite der Explosion.
     */
    public Bomb(int range){
        this.range = range;
        this.acts = -1;
    }
    /**
     * Stellt den Zeitznder an.
     * @param  acts Nach wie vielen <code>act()</code>-Aufrufen die Bombe explodiert.
     */
    public void fuse(int acts){
        this.acts = acts;
    }
    public void act(){
        if(acts != -1){
            acts--;
            if(acts == 0){
                explode();
            }
        }
    }
    /**
     * Sprengt die Bombe.
     */
    public void explode(){
        java.util.List l = this.getObjectsInRange(range, Actor.class);
        l.removeAll(this.getObjectsInRange(range, Detonationsafe.class));
        this.getWorld().removeObjects(l);
        this.getWorld().removeObject(this);
    }
}
