package org.barney.greenfoot.pathfinding;
import org.barney.greenfoot.misc.*;
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Die Klasse <code>PathfindingWaypoint</code> ist eine abstrakte Superklasse fr alle Wegpunkte, die zum Berechnen eines Weges platziert werden.
 * 
 * @author Jan-Niklas Brandes
 * @version 1.0
 */
public abstract class PathfindingWaypoint extends Waypoint
{
    /**
     * Lsst einen Punkt Pfadkosten und Verbesserungen zu seinen Nachbarn berechnen.
     */
    public abstract void expand();
    /**
     * Gibt die Pfadkosten des Punktes aus.
     * @return  Die Pfadkosten des Punktes.
     */
    public abstract int getTargetDistance();
}
