package org.barney.greenfoot.world;
import greenfoot.*;
/**
 * Diese Klasse definiert einen Wrapper fr Klassen, von denen Objekte generiert werden soll.
 * Sie wird zusammen mit einem {@org.barney.greenfoot.world.RandomWorldGenerator} verwendet.
 * 
 * @author  Jan-Niklas Brandes
 * @version 1.0
 * @see  RandomWorldGenerator
 */
public class Generatable
{
    /**
     * Die Wahrscheinlichkeit, mit der ein Objekt generiert wird.
     */
    public float probability;
    /**
     * Ob {@probability} eine feste Objektanzahl ist.
     */
    public boolean isStatic;
    /**
     * Die Klasse von der Instanzen generiert werden.
     */
    public Class<? extends Actor> generatable;
    /**
     * Instantiiert ein <code>Generatable</code>.
     * @param  probability Die Wahrscheinlichkeit, mit der Objekte dieses Typs generiert werden.
     * @param  isStatic Ob <code>probability</code> eine feste Objektanzahl definiert.
     * @param  cls Die Klasse, von der Instanzen generiert werden sollen.
     */
    public Generatable(float probability, boolean isStatic, Class<? extends Actor> cls){
        this.probability = probability;
        this.isStatic = isStatic;
        this.generatable = cls;
    }
}
